package com.yunzhi.niucai.controller;

import com.alipay.api.AlipayApiException;
import com.yunzhi.niucai.alipay.AlipayFactory;
import com.yunzhi.niucai.alipay.AliPayService;
import com.yunzhi.niucai.common.BaseController;
import io.swagger.annotations.Api;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
    *  前端控制器
    * </p>
 *
 * @author yansen
 * @since 2020-09-27
 */

@Api(tags = "")
@RestController
@RequestMapping("/")
public class TaAlipayController extends BaseController {

    private final Logger logger = LoggerFactory.getLogger(TaAlipayController.class);

    @Autowired
    private AlipayFactory alipayFactory;

    /**
     * 应用授权成功回调
     * @param appId
     * @param appAuthCode
     * @throws AlipayApiException
     */
    @GetMapping("/app/callback/alipay/auth")
    public void aliPayAuthNotice(@RequestParam("app_id") String appId,
                                 @RequestParam("app_auth_code") String appAuthCode) throws AlipayApiException {
        // 虚拟一个服务, 主要是为了调用其中方法
        AliPayService payService = alipayFactory.getService(-1);
        payService.persistToken(appAuthCode);
    }
}
